Bug 1785284 - Compute Resource create does not validates the zone name and creates the Compute Resource.
Summary: Compute Resource create does not validates the zone name and creates the Comp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: 6.7.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-19 15:22 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
1 user (show)

Fixed In Version: foreman-1.24.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:08 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28124 0 High Closed Compute Resource create does not validates the zone name and creates the Compute Resource. 2020-01-14 16:02:58 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:28:19 UTC

Description Jitendra Yejare 2019-12-19 15:22:32 UTC
Description:
-------------------
Compute Resource create does not validate the zone name for GCE CR and creates the Compute Resource. If I provide any non-existence zone name while creating the CR, it doesn't validate if the zone is present or not and creates the CR.


How Reproducible:
-------------------
Always

Steps:
-------------------
1. Create a Compute Resource from a hammer with the zone(that doesn't exist in GCE).

Actual Behavior:
-------------------
1. The Compute Resource is created
2. No sign of error or warning for non-existence of zone.


Expected Behavior:
--------------------
1. Either the Compute Resource should not be created or should show a warning and create CR with zone.

Comment 1 Jitendra Yejare 2019-12-19 15:22:37 UTC
Created from redmine issue https://projects.theforeman.org/issues/28124

Comment 4 Bryan Kearney 2019-12-19 17:04:39 UTC
Upstream bug assigned to kgaikwad

Comment 5 Bryan Kearney 2020-01-06 15:06:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28124 has been resolved.

Comment 6 Jitendra Yejare 2020-01-16 07:43:25 UTC
Verified!

@ Satellite 6.7 snap 8

Steps:
---------------------

1. Create a Compute Resource from a hammer with the zone(that doesn't exist in GCE).
2. Also for regression if any, check with valid GCE zone.

Observation:
---------------------

1. The Zone field is now being verified before the CR is created.
2. No regression caused by fix, with valid Zone the GCE CR is being created.

Comment 9 errata-xmlrpc 2020-04-14 13:28:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.